const mysql = require('mysql');

var secrets = require('../secrets.js');
var dbhost = secrets.dbhost;
var dbuser = secrets.dbuser;
var dbpassword = secrets.dbpassword;
var dbdatabase = secrets.dbdatabase;

const dbConfig = {
  host: dbhost,
  user: dbuser,
  password: dbpassword,
  database: dbdatabase
};

function getEvenements(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "SELECT id, name, startDate, endDate FROM Event WHERE deleted = 0 ORDER BY startDate DESC;"
  con.connect();
  con.query(query, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false });
    }
    return res.send(result)
  });
  con.end();
}

function getAdminEvenements(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "SELECT id,name,startDate,endDate FROM Event WHERE deleted = 0 ORDER BY startDate DESC;"
  con.connect();
  con.query(query, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

function addNewEvenement(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "INSERT INTO `Event` (`name`, `startDate`, `endDate`) VALUES (?, ?, ?);"
  var inserts = [req.body.name, req.body.startDate, req.body.endDate];
  con.connect();
  con.query(query, inserts, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

function updateEvenementName(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "UPDATE Event SET name = ? WHERE id=?;"
  var inserts = [req.body.name, req.body.id];
  con.connect();
  con.query(query, inserts, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

function updateEvenementStartDate(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "UPDATE Event SET startDate = ? WHERE id=?;"
  var inserts = [req.body.startDate, req.body.id];
  con.connect();
  con.query(query, inserts, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

function updateEvenementEndDate(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "UPDATE Event SET value = ? WHERE id=?;"
  var inserts = [req.body.endDate, req.body.id];
  con.connect();
  con.query(query, inserts, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

function DeleteEvenement(req, res) {
  var con = mysql.createConnection(dbConfig);
  var query = "UPDATE Event SET deleted = 1 WHERE id=?;"
  var inserts = [req.body.id];
  con.connect();
  con.query(query, inserts, (err, result) => {
    if (err) {
      console.log(err)
      return res.send({ success: false })
    }
    return res.send(result)
  });
  con.end();
}

module.exports = { getEvenements, getAdminEvenements, addNewEvenement, updateEvenementName, updateEvenementStartDate, updateEvenementEndDate, DeleteEvenement }
