var express = require('express');
var router = express.Router();

const bodyParser = require('body-parser');

var controller = require('../controller')

router.use(bodyParser.json());
router.use(bodyParser.urlencoded({ extended: true }));

router.get('/classement_par_equipes', controller.equipe.getClassementEquipe);
router.get('/equipes', controller.equipe.getEquipes);
router.get('/equipes_by_user_id', controller.equipe.getEquipesByUserId);
router.get('/classement_individuel', controller.participant.getClassementIndividuel);
router.get('/participants', controller.participant.getParticipants);
router.get('/objectifs', controller.objectifs.getClassementObjectifs);
router.get('/evenement', controller.evenement.getEvenements);
router.get('/distance_totale', controller.scores.getDistanceTotale);
router.get('/nombre_participants', controller.participant.getNombreParticipants);
router.get('/participants_by_id', controller.participant.getParticipantsById);
router.get('/participants_ids', controller.participant.getParticipantsIdentifiants);
router.get('/my_scores', controller.participant.getResultatsPersonnels);

router.get('/administrateurs/login', controller.administrateur.getAdminsLogins);
router.get('/staffeurs/login', controller.staffeurs.getStaffeursLogins);

module.exports = router;
