var express = require('express');
var router = express.Router();

var controller = require('../controller')

router.get('/admin_objectifs', controller.objectifs.getAdminObjectifs);
router.get('/admin_scores', controller.scores.getAdminScores);
router.get('/admin_evenements', controller.evenement.getAdminEvenements);
router.post('/new_score', controller.scores.addNewScore);
router.post('/update_score/score', controller.scores.updateScoreScore);
router.post('/update_score/equipe', controller.scores.updateScoreEquipe);
router.post('/update_score/participant', controller.scores.updateScoreParticipant);
router.post('/delete_score', controller.scores.deleteScore);
router.post('/new_equipe', controller.equipe.addNewEquipe);
router.post('/update_equipe', controller.equipe.updateEquipe);
router.post('/delete_equipe', controller.equipe.deleteEquipe);
router.post('/new_participant_with_id', controller.participant.addNewParticipantWithId);
router.post('/update_participant', controller.participant.updateParticipant);
router.post('/delete_participant', controller.participant.deleteParticipant);
router.post('/new_objectif', controller.objectifs.addNewObjectif);
router.post('/update_objectif/name', controller.objectifs.updateObjectifName);
router.post('/update_objectif/description', controller.objectifs.updateObjectifDescription);
router.post('/update_objectif/value', controller.objectifs.updateObjectifValue);
router.post('/update_objectif/coef', controller.objectifs.updateObjectifCoef);
router.post('/delete_objectif', controller.objectifs.deleteObjectif);
router.post('/new_administrateur', controller.administrateur.addNewAdministrateur);
router.post('/update_administrateur', controller.administrateur.updateAdministrateur);
router.post('/delete_administrateur', controller.administrateur.deleteAdministrateur);
router.post('/new_evenement', controller.evenement.addNewEvenement);
router.post('/update_evenement/name', controller.evenement.updateEvenementName);
router.post('/update_evenement/startdate', controller.evenement.updateEvenementStartDate);
router.post('/update_evenement/enddate', controller.evenement.updateEvenementEndDate);
router.post('/delete_evenement', controller.evenement.DeleteEvenement);
router.get('/administrateurs', controller.administrateur.getAdministrateurs);

router.post('/new_staffeur', controller.staffeurs.addNewStaffeur);
router.post('/delete_staffeur', controller.staffeurs.deleteStaffeur);
router.get('/staffeurs', controller.staffeurs.getStaffeurs);


module.exports = router;
