import React, { useState, useEffect } from 'react';
import axios from 'axios';
import { MDBDataTableV5 } from 'mdbreact';
import eventData from "../../eventData/eventData.json";

export default function ClassEquipe() {

  var data = [];
  var [participants,setParticipants] = useState([]);
  useEffect(() => {
    const interval = setInterval(() => {
      axios.get('/api/classement_par_equipes').then((response) => setParticipants(response.data));
    }, 500);
    return () => clearInterval(interval);
  }, []);

  function RefreshData() {
    var i = 1;
    participants.map((item) => 
    data.push(
      {
        rank: i++,
        association: item.name,
        distance: item.score,
        dons: Math.trunc(item.score*eventData.argentParMetre)+" €",
        relais: item.nbScores,
        rameurs: item.nbParticipant
      },
    )
  );
  return({
    columns: [
      {
        label: '# Rang',
        field: 'rank',
        sort: 'disabled',
        width: 100,
      },
      {
        label: 'Association',
        field: 'association',
        width: 150,
        sort: 'disabled',
        attributes: {
          'aria-controls': 'DataTable',
          'aria-label': 'Association',
        },
      },
      {
        label: 'Distance (m)',
        field: 'distance',
        sort: 'disabled',
        width: 100,
      },
      {
        label: 'Dons rapportés',
        field: 'dons',
        sort: 'disabled',
        width: 100,
      },
      {
        label: 'Nombre de relais',
        field: 'relais',
        sort: 'disabled',
        width: 100,
      },
      {
        label: 'Nombre de rameurs',
        field: 'rameurs',
        sort: 'disabled',
        width: 100,
      },
    ],
    rows: data})
  }


  return <MDBDataTableV5 paging={false} hover striped info={false} data={RefreshData()} searchLabel="Rechercher" responsiveLg />;
}