import React,{useState} from "react";
import { MDBRow, MDBCol, MDBInput, MDBBtn, MDBCard, MDBCardBody, MDBModalFooter, MDBIcon, MDBContainer } from 'mdbreact';
import SearchNom from "./Autocomplete/Nom";
import SearchAsso from "./Autocomplete/Association";

function Kilometrage () {

    const smallStyle = { fontSize: '0.8rem'};
    const [nom, setNom] = useState("");
    const [asso, setAsso] = useState("");
    const [dist, setDist] = useState("");

    function unlock (nameEntry, assoEntry, distanceEntry) {
        var s = new Boolean(true);
        if ((nameEntry !== "") && (assoEntry !== "") && (distanceEntry !== "")) {
            s = false;
        }
        return(s)
    };

    return (
        <>
        <MDBContainer className="mt-4">
        <MDBRow>
          <MDBCol xs="6" sm="6" md="6" lg="6" xl="6" className="mx-auto mt-3">
            <MDBCard>
              <MDBCardBody className="mx-3">
                <div className="text-center">
                  <h3 className="dark-grey-text mb-5"><strong>Entrer un kilométrage</strong></h3>
                </div>
                <MDBRow>
                    <MDBCol lg="1" middle size="2">
                        <MDBIcon icon="user-alt" className="mr-1" />
                    </MDBCol>
                    <MDBCol size="10">
                        <SearchNom handleChange={(e) => {setNom(e)}} />
                    </MDBCol>
                </MDBRow>
                <MDBRow>
                    &nbsp;
                </MDBRow>
                <MDBRow>
                    <MDBCol lg="1" middle size="2">
                        <MDBIcon icon="users" className="mr-1" />
                    </MDBCol>
                    <MDBCol size="10">
                        <SearchAsso handleChange={(e) => {setAsso(e)}}/>
                    </MDBCol>
                </MDBRow>
                <MDBRow>
                    &nbsp;
                </MDBRow>
                {/*<SearchNom />
                <SearchAsso />
                <MDBInput label="Nom" icon="user" group type="text" validate error="wrong" success="right"/>
                <MDBInput label="Association" icon="users" group type="text" validate containerClass="mb-0"/>
                <MDBAutocomplete label="Your country" clear data={countries}/>*/}
                <MDBRow>
                    <MDBCol lg="1" middle size="2">
                        <div className="form-group">
                        <MDBIcon icon="flag-checkered" className="mr-1" />
                        </div>
                    </MDBCol>
                    <MDBCol size="10">
                    <div className="form-group">
                    <input
                        type="integer"
                        className="form-control"
                        id="formGroupExampleInput"
                        placeholder="Distance parcourue (m)"
                        onChange={(e) => {setDist(e)}}
                    />
                    </div>
                    {/*<MDBInput label="Distance parcourue" group type="integer" validate containerClass="mb-0" onChange={(e) => {setDist(e)}}/>*/}
                    </MDBCol>
                </MDBRow>
                <div className="text-center pt-3 mb-3">
                  <MDBBtn type="button" icon="send" gradient="blue" rounded disabled={unlock(nom,asso,dist)} className="btn-block z-depth-1a"><MDBIcon icon="paper-plane" className="ml-1" /> Envoyer</MDBBtn>
                </div>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
        </MDBRow>
        <MDBRow>
            <br/>
        </MDBRow>
        </MDBContainer>
        </>
    );
  }

export default Kilometrage;