import React,{useState} from "react";
import { MDBRow, MDBCol, MDBInput, MDBBtn, MDBCard, MDBCardBody, MDBModalFooter, MDBIcon } from 'mdbreact';
import SearchNom from "./Autocomplete/Nom";
import SearchAsso from "./Autocomplete/Association";
import Securite from "./Toggle";

function Kilometrage () {

    const smallStyle = { fontSize: '0.8rem'};
    const [nom, setNom] = useState("");
    const [asso, setAsso] = useState("");
    const [dist, setDist] = useState("");

    function unlock (nameEntry, assoEntry, distanceEntry) {
        var s = new Boolean(true);
        if ((nameEntry != "") && (assoEntry != "") && (distanceEntry != "")) {
            s = false;
        }
        return(s)
    };

    return (
        <>
        <MDBRow>
          <MDBCol md="9" lg="7" xl="4" className="mx-auto mt-3">
            <MDBCard>
              <MDBCardBody className="mx-4">
                <div className="text-center">
                  <h3 className="dark-grey-text mb-5"><strong>Entrer un kilométrage</strong></h3>
                </div>
                <MDBRow>
                    <MDBCol md="1" middle>
                        <MDBIcon icon="user-alt" className="mr-1" />
                    </MDBCol>
                    <MDBCol md="11">
                        <SearchNom handleChange={(e) => {setNom(e)}} />
                    </MDBCol>
                </MDBRow>
                <MDBRow>
                    &nbsp;
                </MDBRow>
                <MDBRow>
                    <MDBCol md="1" middle>
                        <MDBIcon icon="users" className="mr-1" />
                    </MDBCol>
                    <MDBCol md="11">
                        <SearchAsso handleChange={(e) => {setAsso(e)}}/>
                    </MDBCol>
                </MDBRow>
                {/*<SearchNom />
                <SearchAsso />
                <MDBInput label="Nom" icon="user" group type="text" validate error="wrong" success="right"/>
                <MDBInput label="Association" icon="users" group type="text" validate containerClass="mb-0"/>
                <MDBAutocomplete label="Your country" clear data={countries}/>*/}
                <MDBRow>
                    <MDBCol md="1" middle>
                        <MDBIcon icon="flag-checkered" className="mr-1" />
                    </MDBCol>
                    <MDBCol md="11">
                    <MDBInput label="Distance parcourue" group type="integer" validate containerClass="mb-0" />
                    </MDBCol>
                </MDBRow>

                <Securite />
                
                <div className="text-center pt-3 mb-3">
                  <MDBBtn type="button" icon="send" gradient="blue" rounded disabled={unlock(nom,asso,"lol")} className="btn-block z-depth-1a"><MDBIcon icon="paper-plane" className="ml-1" /> Envoyer</MDBBtn>
                </div>
              </MDBCardBody>
            </MDBCard>
          </MDBCol>
        </MDBRow>
        <MDBRow>
            <br/>
        </MDBRow>
        </>
    );
  }

export default Kilometrage;