import React, { Component } from "react";
import { MDBContainer, MDBRow, MDBCol, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, MDBIcon, MDBView , MDBCardImage} from "mdbreact";
import Africa from "./SectionsHuma/Africa";
import KS from "./SectionsHuma/KS";
import Mada from "./SectionsHuma/Mada";
import Nepal from "./SectionsHuma/NepalAsa";
import Perunidad from "./SectionsHuma/Perunidad";
import Logo from "./SectionsHuma/HumaCS.jpeg";
import "./SectionsHuma/sections.css";

class HumaCS extends Component {
  state = {
    items: {
      default: "1",
    }
  };

  togglePills = (type, tab) => e => {
    e.preventDefault();
    if (this.state.items[type] !== tab) {
      let items = { ...this.state.items };
      items[type] = tab;
      this.setState({
        items
      });
    }
  };

  render() {
    return (
        <>
      <MDBContainer className="mt-4">
          
      {/*<h2><MDBIcon icon="heart" className="mr-1" /> HumaCS</h2>*/}
          <br/>
          <MDBRow>
          <MDBCol md="4">
          <MDBView hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='HumaCS'
            />
          </MDBView>
          <br/>
          </MDBCol>  
          <MDBCol md="8"> 
          <p class="SectionHuma">
              HumaCS est l'association de solidarité internationale de l'école CentraleSupélec. Créée en 2018, elle regroupe cinq sections qui
              œuvrent chacune dans un pays différent : le Burkina Faso, le Cambodge, Madagascar, le Népal et le Pérou.
              <br/><br/>
              L’objectif principal est d’apporter aux populations une contribution de développement sur les plans économique, socio-culturel 
              et environnemental, en améliorant notamment leurs conditions de vie et en promouvant l’égalité des chances tout en cherchant sur 
              le long terme à offrir une autonomie de développement aux populations soutenues. Les différents projets d’HumaCS sont centrés 
              autour de l'éducation, de l’environnement et de la construction. 
              <br/><br/>
              Tout au long de l'année, les section mènent des action sur le campus ou à l'extérieur (ensemble comme séparément) afin de soulever
              les fonds nécessaires à leurs projets. En tout, c'est plus d'une soixantaine d'étudiants passionnées et motivés qui agissent main 
              dans la main pour mener à bien ces missions de solidarité.
          </p>
          </MDBCol>
          </MDBRow>
          <MDBRow>
          <MDBCol>
          <p class="SectionHuma">
              Le point d'orgue de la récolte de fond commune est la "Semaine Huma" qui a lieu traditionnellement la seconde semaine du mois de mars.
              Durant toute une semaine, les cinq sections sensibilisent le campus à l'importance de la solidarité internationale aux travers d'animations
              multiples : activités ludiques, concert de charité, récolte de denrées non périssables pour le Secours Populaire, repas, ...
              <br/><br/>
              L'Humaviron constitue le point culminant de cette semaine. Pendant 24 heures, les étudiants de CentraleSupélec participent eux aussi à 
              la récolte de fonds en ramant sur des rameurs d'entraînement. Pour chaque kilomètre parcouru, ce sont 5 € qui sont reversés à HumaCS. Chaque année,
              près de 20 000 € sont ainsi récoltés et jouent un rôle capital dans la réalisation des cinq projets que vous pouvez découvrir ci-dessous.
          </p>
          </MDBCol>
          </MDBRow>
          <MDBRow>
            <MDBCol md="12">
              <MDBNav className="mt-5 nav-pills">
                <MDBNavItem>
                  <MDBNavLink link to="#" active={this.state.items["default"] === "1"} onClick={this.togglePills("default", "1")} >
                  Africa Unite
                  </MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink link to="#" active={this.state.items["default"] === "2"} onClick={this.togglePills("default", "2")} >
                  Kampuchea Souriya
                  </MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink link to="#" active={this.state.items["default"] === "3"} onClick={this.togglePills("default", "3")} >
                  Mada
                  </MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink link to="#" active={this.state.items["default"] === "4"} onClick={this.togglePills("default", "4")} >
                  Népal āśā
                  </MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink link to="#" active={this.state.items["default"] === "5"} onClick={this.togglePills("default", "5")} >
                  Perunidad
                  </MDBNavLink>
                </MDBNavItem>
              </MDBNav>
              <MDBTabContent activeItem={this.state.items["default"]}>
                <MDBTabPane tabId="1">
                  <Africa />
                </MDBTabPane>
                <MDBTabPane tabId="2">
                <KS />
                </MDBTabPane>
                <MDBTabPane tabId="3">
                <Mada />
                </MDBTabPane>
                <MDBTabPane tabId="4">
                <Nepal />
                </MDBTabPane>
                <MDBTabPane tabId="5">
                <Perunidad/>
                </MDBTabPane>
              </MDBTabContent>
            </MDBCol>
          </MDBRow>
        </MDBContainer>
        </>
      );
    }
}

export default HumaCS;