import React, { useState, useEffect } from 'react';
import axios from 'axios';
import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

const BasicTable = () => {

  var [participants,setParticipants] = useState([]);
  useEffect(() => {
    const interval = setInterval(() => {
      axios.get('/api/classement_individuel').then((response) => setParticipants(response.data));
    }, 500);
    return () => clearInterval(interval);
  }, []);

  var i = 1;
  const size = 10;

  return (
    <MDBTable small hover bordered responsiveLg >
      <MDBTableHead color="blue-gradient" textWhite>
        <tr>
          <th>#</th>
          <th>Rameuse/Rameur</th>
          <th>Association(s)</th>
          <th>Distance</th>
        </tr>
      </MDBTableHead>
      <MDBTableBody>
      {participants.slice(0,size).map((item) =>
        <tr>
          <td>{i++}</td>
          <td>{item.name}</td>
          <td>{item.equipes.join(", ")}</td>
          <td>{item.score}</td>
        </tr>
        )}
        {/*<tr id="Leader">
          <td>1</td>
          <td>Mark</td>
          <td>Otto</td>
          <td>@mdo</td>
        </tr>
        <tr id="Second">
          <td>2</td>
          <td>Jacob</td>
          <td>Thornton</td>
          <td>@fat</td>
        </tr>
        <tr id="Third">
          <td>3</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>
        <tr>
          <td>4</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>
        <tr>
          <td>5</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>
        <tr>
          <td>6</td>
          <td>Mark</td>
          <td>Otto</td>
          <td>@mdo</td>
        </tr>
        <tr>
          <td>7</td>
          <td>Jacob</td>
          <td>Thornton</td>
          <td>@fat</td>
        </tr>
        <tr>
          <td>8</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>
        <tr>
          <td>9</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>
        <tr>
          <td>10</td>
          <td>Larry</td>
          <td>the Bird</td>
          <td>@twitter</td>
        </tr>*/}
      </MDBTableBody>
      </MDBTable>
  );
}

export default BasicTable;