import React, { Component, useState } from "react";
import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBNavbarToggler, MDBCollapse, MDBDropdown,
MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBIcon } from "mdbreact";
import Dropdown from "./Dropdown";
import axios from 'axios';
import logo from "../../humaviron_svg.svg"

export default function NavigationBar (props){


  const [user, setUser] = useState({});
  const [initialize, setInitialize] = useState(true);
  if (initialize) {
    axios.get('/api/user').then((response) => setUser(response.data));
    setInitialize(false);
  }

  var px;
  if (window.screen.width > 767) {
    px = "30";
  }
  else {
    px = "25";
  }

//render() {
  return (
    <>
      <MDBNavbar color="blue-gradient" dark expand="md">
        <MDBNavbarBrand href="/">
        <img src={logo} alt="Logo Humaviron" height={px}/>
          {/*<strong className="white-text">HUMAVIRON</strong>*/}
        </MDBNavbarBrand>
        <MDBNavbarToggler onClick={props.toggle.toggleCollapse} />
        <MDBCollapse id="navbarCollapse3" isOpen={/*state.isOpen*/props.toggle.state.isOpen} navbar>
          <MDBNavbarNav left>
            <MDBNavItem active>
              <MDBNavLink to="/">Leaderboard</MDBNavLink>
            </MDBNavItem>
            <MDBNavItem>
              <MDBNavLink to="/Classement">Classement</MDBNavLink>
            </MDBNavItem>
            <MDBNavItem>
              <MDBNavLink to="/Partenaires">Partenaires</MDBNavLink>
            </MDBNavItem>
            <MDBNavItem>
              <MDBNavLink to="/HumaCS">HumaCS</MDBNavLink>
            </MDBNavItem>
          </MDBNavbarNav>
          <MDBNavbarNav right>
            <MDBNavItem>
              {/*<MDBDropdown >
                <MDBDropdownToggle nav caret>
                  <MDBIcon icon="user" />
                </MDBDropdownToggle>*/}
              <Dropdown user={user} />
                {/*<MDBDropdownMenu right={Boolean(window.screen.width > 767)} basic className="dropdown-default">
                  <MDBDropdownItem header>Mon Humaviron</MDBDropdownItem>
                  <MDBDropdownItem href="/MonHumaviron" ><MDBIcon icon="address-card" />&nbsp; Mes résultats</MDBDropdownItem>
                  <MDBDropdownItem header>Admin</MDBDropdownItem>
                  <MDBDropdownItem href="/Input" ><MDBIcon icon="plus" />&nbsp; Entrer résultats</MDBDropdownItem>
                  <MDBDropdownItem href="/Gestion" ><MDBIcon icon="edit" />&nbsp; Gérer résultats</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#!" className="danger-color white-text rounded"><MDBIcon icon="lock" />&nbsp; Déconnexion</MDBDropdownItem>
  </MDBDropdownMenu>*/}
              {/*</MDBDropdown>*/}
            </MDBNavItem>
          </MDBNavbarNav>
        </MDBCollapse>
      </MDBNavbar>
      </>
    );
  }
;