import React from "react";
import { MDBContainer, MDBRow, MDBCol, MDBNavLink, MDBIcon, MDBNavItem, MDBView, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText } from "mdbreact";
import "./sections.css";
import Logo from './africa_unite.png';

export default function Africa () {
    return (
        <>
        <br/>
        <MDBContainer>
        <MDBRow>
        <MDBCol md="3">
        <MDBCard wide cascade>
          <MDBView zoom hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='Africa Unite'
            />
          </MDBView>

          <MDBCardBody cascade className='text-center'>
            <MDBCardTitle className='card-title indigo-text'>
              <strong>Africa Unite</strong>
            </MDBCardTitle>

            <p className='font-weight-bold blue-text'>Education</p>

            <MDBCardText>
            Améliorer les conditions de vie et d'étude des jeunes au Burkina Faso en leur donnant 
            des cours particuliers et en récoltant les fonds pour construire des infrastructures 
            leur rendant la vie plus facile.{' '}
            </MDBCardText>

            <MDBCol md='12' className='d-flex justify-content-center'>
              <a href='https://www.facebook.com/AfricaUniteCS/' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='facebook-f'></MDBIcon>
              </a>

              <a href='https://www.helloasso.com/associations/africa%20unite/collectes/africa-unite-2020' className='px-2 fa-lg fb-ic'>
                <MDBIcon icon='globe'></MDBIcon>
              </a>

              <a href='https://za.linkedin.com/company/africa-unite-centralesupélec' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='linkedin-in'></MDBIcon>
              </a>
            </MDBCol>
          </MDBCardBody>
        </MDBCard>
        <br/>
        </MDBCol>
        <MDBCol md="9">
        <p class = "SectionHuma">
        L’association humanitaire Africa Unite s’engage depuis plusieurs années au Burkina-Faso par le biais d’une mission annuelle à Bobo-Dioulasso. Ces missions, d’une durée de deux mois chacune, avaient lieu les années précédentes à l’Espace Rencontre Jeunesse (ERJ) de Bobo-Dioulasso. Elles nécessitent un important travail de préparation en amont. Chaque mission comporte un volet éducatif et une réalisation technique. Les défis à résoudre sur place étant nombreux, nous devons faire preuve de discernement afin de définir les objectifs de la mission.
        <br/><br/>
        Pour cela, il est essentiel de comprendre le besoin éducatif au Burkina-Faso (au niveau secondaire). Ce besoin est à remettre évidemment dans le contexte burkinabé et nécessite une certaine prise de recul de la part des étudiants français. Les années précédentes, il est arrivé à des membres d’Africa Unite de donner un cours dans une salle de classe contenant jusqu’à 50 élèves, parfois à des Terminales maîtrisant très mal l’orthographe. C’est donc le premier rôle de l’équipe des étudiants que celui d’agir en la qualité d’un petit groupe de professeurs compétents, souples et à l’écoute de leurs élèves, pour leur enseigner les matières fondamentales. Nous nous efforçons également de dispenser des cours d’Informatique, un enseignement qui nous semble essentiel en 2014. Pour faciliter l’accès à l’éducation des jeunes Burkinabés de l’ERJ, nous prévoyons cette année de doter le centre de nouvelles tables et chaises pour les élèves. Comme tous les ans, nous referons en début de mission une distribution de matériel scolaire et de vêtements. Nous souhaitons également fournir en livres francophones la bibliothèque de l’ERJ, encore trop dépourvue. C’est pourquoi nous organisons sur notre campus de Gif-sur-Yvette une collecte de livres : nous mobilisons donc plus de 500 personnes autour de cette belle cause humanitaire. Notre objectif est d’améliorer d’année en d’année les conditions de travail des jeunes fréquentant le centre. Aider à l’éducation au Burkina-Faso aujourd’hui, c’est participer à l’émergence de l’Afrique de l’Ouest et à la construction des relations commerciales de demain. Ce volet éducatif de la mission nécessite donc un vrai travail d’équipe entre les étudiants en mission et les responsables pédagogiques du centre. Il s’accompagne d’un projet de réalisation technique, cohérent avec notre futur métier d’ingénieur. Après avoir relevé le défi de l’énergie, en installant des panneaux solaires (afin de rendre les salles d’étude autonomes) en 2011 et en construisant un château d’eau avec pompe à énergie solaire en 2013, notre association souhaite se renouveler cette année.
        <br/><br/>
        Le centre est maintenant bien achevé et très fonctionnel, bénéficiant notamment de toutes les améliorations qu’Africa Unite lui a apporté. Notre association en est arrivée à un constat sans appel : nous avons besoin d’un nouveau défi pour conserver notre dynamisme (nous ne pouvons plus limiter nos interventions à l’ERJ). Nous voulons innover avec beaucoup plus d’ampleur, en construisant intégralement un nouveau centre Espace Rencontre Jeunesse dans un autre quartier de Bobo-Dioulasso. Nous disposons de nombreux atouts de par notre expérience sur le terrain. En effet, notre connaissance de la ville nous a permis de repérer lors de la dernière mission un terrain à vendre dans un quartier éloigné de l’ERJ. Par ailleurs, nous connaissons, pour les avoir employés par le passé, de très bons artisans du BTP à même de bâtir ce nouveau centre. Nos contacts locaux nous ont assuré de l’utilité de la construction d’un centre pour la jeunesse dans ce quartier. Néanmoins, tout reste à faire et nous devons faire preuve d’audace et d’innovation pour relever ce nouveau défi. Il s’agit d’un projet à moyen terme, qui durera six ans. Son ampleur est telle que sans notre fort esprit d’équipe, renforcé par l’incroyable expérience vécue par le groupe au Burkina, il nous serait impossible de réaliser nos objectifs. Pour cette année, nous projetons de réaliser l’achat du terrain et de construire le premier bâtiment. Les missions suivantes permettront de bâtir trois salles d’études, une buvette et une bibliothèque, de creuser un puits, d’installer un château d’eau et des panneaux solaires. M. Pakotogo, actuellement attaché culturel à la mairie de Dafra, a accepté de devenir à terme Directeur de ce nouveau centre pour la jeunesse. C’est un atout pour réaliser le projet. 
        </p>
        </MDBCol>
        </MDBRow>
        </MDBContainer>
        </>
    );
}