import React from "react";
import { MDBContainer, MDBRow, MDBCol, MDBNavLink, MDBIcon, MDBNavItem, MDBView, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText } from "mdbreact";
import "./sections.css";
import Logo from './KS.png';

export default function KS () {
    return (
        <>
        <br/>
        <MDBContainer>
        <MDBRow>
        <MDBCol md="3">
        <MDBCard wide cascade>
          <MDBView zoom hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='Kampuchea Souriya'
            />
          </MDBView>

          <MDBCardBody cascade className='text-center'>
            <MDBCardTitle className='card-title indigo-text'>
              <strong>Kampuchea Souriya</strong>
            </MDBCardTitle>

            <p className='font-weight-bold blue-text'>Agriculture / Développement Durable</p>

            <MDBCardText>
            Soutien d'un programme de développement de la jeunesse et sensibilisation 
            au développement durable. Soutien à la construction et à l'agriculture {' '}
            </MDBCardText>

            <MDBCol md='12' className='d-flex justify-content-center'>
              <a href='https://fr-fr.facebook.com/kampucheasouriyaecp/' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='facebook-f'></MDBIcon>
              </a>

              <a href='https://twitter.com/ksouriya' className='px-2 fa-lg tw-ic'>
                <MDBIcon fab icon='twitter'></MDBIcon>
              </a>

              <a href='https://www.instagram.com/kampucheasouriya/' className='px-2 fa-lg tw-ic'>
                <MDBIcon fab icon='instagram'></MDBIcon>
              </a>

              <a href='https://cambodge.cs-campus.fr/' className='px-2 fa-lg fb-ic'>
                <MDBIcon icon='globe'></MDBIcon>
              </a>

              <a href='https://br.linkedin.com/company/kampucheasouriya' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='linkedin-in'></MDBIcon>
              </a>
            </MDBCol>
          </MDBCardBody>
        </MDBCard>        
        <br/>
        </MDBCol>
        <MDBCol md="9">
        <p class = "SectionHuma">
            <br/><br/>
            Plusieurs projets sont au cœur de l’action de Kampuchea Souriya :
            <br/><br/>
            <i>D’une part, nous proposons l’apport d’un soutien moral et matériel à des populations en marge de la société khmère.</i>
            <br/><br/>
            Le <strong>Youth Development Program</strong> à Takmao est l’occasion pour nous de vivre une semaine d’échange culturel et de sensibiliser les jeunes au développement durable, la gestion des déchets étant une problématique majeure au Cambodge.
            <br/><br/>
            Cela fait également 6 ans que Kampuchea Souriya participe à la rénovation du <strong>Center for Child and Adolescent Mental Healthcare</strong> de Takmao. Ce centre est unique au Cambodge. Il accueille des enfants et adolescents atteints de handicap moteur ou mental.
            <br/><br/>
            <i>D’autre part, nous participons à la construction d’infrastructures agricoles et sanitaires.</i>
            <br/><br/>
            L’équipe est aussi chargée de répondre aux besoins spécifiques des villages où ils se rendent. Les dernières années, dans les provinces de Battambang, Siem Reap et Kampong Thom, les équipes ont mis en place un bassin de pisciculture, un système d’irrigation, un support de réservoir d’eau alimenté par pompe solaire, des sanitaires, construit des poulaillers et aidé à planter des arbres ainsi que participé à la riziculture.
            <br/><br/>
            Enfin avec la crise sanitaire actuelle, nous finançons aussi une <strong>campagne d'hygiène</strong> avec l'apport de matériel de première nécessité à Phnom Penh.
            </p>
        </MDBCol>
        </MDBRow>
        </MDBContainer>
        </>
    );
}