import React from "react";
import { MDBContainer, MDBRow, MDBCol, MDBNavLink, MDBIcon, MDBNavItem, MDBView, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText } from "mdbreact";
import "./sections.css";
import Logo from './Mada.png';

export default function Mada () {
    return (
        <>
        <br/>
        <MDBContainer>
        <MDBRow>
        <MDBCol md="3">
        <MDBCard wide cascade>
          <MDBView zoom hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='Mada'
            />
          </MDBView>

          <MDBCardBody cascade className='text-center'>
            <MDBCardTitle className='card-title indigo-text'>
              <strong>Mada</strong>
            </MDBCardTitle>

            <p className='font-weight-bold blue-text'>Education</p>

            <MDBCardText>
            Aide les enfants des rues de Madagascar à se réinsérer dans la société malgache, en partenariat avec l’ONG <i>Les Enfants du Soleil</i>.{' '}
            </MDBCardText>

            <MDBCol md='12' className='d-flex justify-content-center'>
              <a href='https://www.facebook.com/mada.ecp' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='facebook-f'></MDBIcon>
              </a>

              <a href='https://twitter.com/MadaECP' className='px-2 fa-lg tw-ic'>
                <MDBIcon fab icon='twitter'></MDBIcon>
              </a>

              <a href='https://www.youtube.com/watch?v=mUYkh0vDxCQ' className='px-2 fa-lg tw-ic'>
                <MDBIcon fab icon='youtube'></MDBIcon>
              </a>

              <a href='https://mada.cs-campus.fr/' className='px-2 fa-lg fb-ic'>
                <MDBIcon icon='globe'></MDBIcon>
              </a>

              <a href='https://fr.linkedin.com/company/madacs?trk=public_profile_topcard-current-company' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='linkedin-in'></MDBIcon>
              </a>
            </MDBCol>
          </MDBCardBody>
        </MDBCard>
        <br/>
        </MDBCol>
        <MDBCol md="9">
        <p class = "SectionHuma">
        Madagascar est une île de 20 millions d’habitants, avec une grande richesse en termes de paysages, de faune et de flore. Cependant, ce pays connaît de graves difficultés sociétales, et une situation politique des plus instables entraînant une hausse de l’insécurité dans le pays. L’aide des pays étrangers a été suspendue, affaiblissant davantage l’économie malgache déjà fragile. Madagascar est donc un pays très pauvre, avec un IDH classé 151ème sur 187. L’accès à l’eau et à l’électricité est encore très limité. De plus, le taux d’alphabétisation des malgaches n’est que de 75% et beaucoup d’enfants se retrouvent dans les rues de Madagascar sans pouvoir aller à l’école.
        <br/><br/>
        C’est pour cela que Mada, en partenariat avec l’ONG <i>Les Enfants du Soleil</i>, agit dans 4 villages à Madagascar (Antananarivo, Tamatave, Fianarantsoa et Antsirabe) pour aider ces enfants des rues à se réinsérer dans la société malgache.
        <br/><br/>
        Dans chacun des 4 villages, les enfants sont recueillis dans différents foyers en fonction de leur âge. Ils sont ensuite pris en charge par <i>Les Enfants du Soleil</i>, et ont la possibilité de suivre une formation professionnelle pour faciliter leur réinsertion. Les projets de Mada dans ces villages ont pour vocation d’apporter une aide sur le long terme. C’est pour ces raisons qu’ils sont faits par et pour les malgaches et que nous les choisissons en fonction des besoins qui sont remontés par les personnes sur place. Les projets peuvent être des projets de rénovation, d’accès à l’eau, ou d’éducation. Lors de notre voyage à Madagascar, nous travaillons avec les artisans locaux et les jeunes adolescents des centres pour les impliquer dans la réalisation de ces projets. De plus, nous réservons une partie de notre budget pour organiser des sorties avec les enfants, et également pour leur acheter du matériel pour le sport, des fournitures scolaires et des jeux.
        </p>
        </MDBCol>
        </MDBRow>
        </MDBContainer>
        </>
    );
}