import React from "react";
import { MDBContainer, MDBRow, MDBCol, MDBNavLink, MDBIcon, MDBNavItem, MDBView, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText } from "mdbreact";
import "./sections.css";
import Logo from './nepal_asa.png';

export default function Nepal () {
    return (
        <>
        <br/>
        <MDBContainer>
        <MDBRow>
        <MDBCol md="3">
        <MDBCard wide cascade>
          <MDBView zoom hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='Népal asa'
            />
          </MDBView>

          <MDBCardBody cascade className='text-center'>
            <MDBCardTitle className='card-title indigo-text'>
              <strong>Népal āśā</strong>
            </MDBCardTitle>

            <p className='font-weight-bold blue-text'>Education / Environnement</p>

            <MDBCardText>
              Soutien d'un centre éducatif de Katmandou et sensibilisation au tri et à la 
              revalorisation des déchets en partenariat avec la start-up locale Doko Recyclers.{' '}
            </MDBCardText>

            <MDBCol md='12' className='d-flex justify-content-center'>
              <a href='https://www.facebook.com/N%C3%A9pal-%C4%81%C5%9B%C4%81-285618695476744' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='facebook-f'></MDBIcon>
              </a>

              <a href='https://www.instagram.com/nepal.asa/' className='px-2 fa-lg tw-ic'>
                <MDBIcon fab icon='instagram'></MDBIcon>
              </a>

              <a href='http://nepal.cs-campus.fr/' className='px-2 fa-lg fb-ic'>
                <MDBIcon icon='globe'></MDBIcon>
              </a>

              <a href='https://fr.linkedin.com/company/n%C3%A9pal-asa?trk=public_profile_topcard-current-company' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='linkedin-in'></MDBIcon>
              </a>
            </MDBCol>
          </MDBCardBody>
        </MDBCard>
        <br/>
        </MDBCol>
        <MDBCol md="9">
        <p class = "SectionHuma">
            Le Népal est réputé mondialement pour les possibilités qu’il offre en matière de tourisme et d’alpinisme, grâce à sa culture riche en traditions, ses nombreux temples, ses paysages montagneux et variés... Pourtant cela masque une réalité plus tragique : le Népal est aujourd’hui l’un des pays les plus pauvres du monde. Le revenu moyen est de 670€ par an. Et comme un enseignement de qualité n’est souvent dispensé que dans des institutions privées et donc payantes, la plupart des enfants n’y ont pas accès. De plus, bien que le Népal produise seulement 0.025% des gaz à effet de serre de la planète, il est extrêmement vulnérable au réchauffement climatique et est le 5ème pays le plus pollué au monde.
            <br/><br/>
            C’est pour ces raisons que Népal āśā, la petite dernière des cinq sections HumaCS, agit à Katmandou avec une double-mission éducative et environnementale.
            <br/></p>
            <h2>Projet UDMF</h2>
            <p class = "SectionHuma">
                Tout d’abord, Népal āśā agit avec la conviction que l’éducation est un enjeu majeur, puisque c’est par elle qu’un enfant pourra non seulement se construire un avenir et améliorer ses conditions de vie et celles de sa famille, mais aussi contribuer au développement de son pays. L’association apporte donc son soutien aux enfants, parfois très jeunes (5 ans), qui ont quitté l’école faute d’argent ou par négligence de leur famille. L’objectif est d’éviter qu’ils ne rejoignent, comme trop d’enfants le font, le rang des enfants des rues, car ils seraient alors livrés à eux-mêmes et forcés de subvenir seuls à leurs besoins. Pour cela, Népal āśā travaille en partenariat avec une association népalaise, UDMF-Népal, dirigée par un couple népalais qui dispose d’un centre éducatif pour accueillir et accompagner ces jeunes.
            </p>
            <h2>Projet Doko</h2>
            <p class = "SectionHuma">
                L’autre volet de l’action de Népal āśā est d’ordre environnemental. Le Népal fait aujourd’hui face à un problème qui est celui des déchets : les infrastructures actuelles ne permettent pas aux habitants de jeter correctement leurs déchets, qui en viennent donc à s’amonceler de façon anarchique partout dans la ville. En plus de causer de graves dommages environnementaux, cette situation pose aussi d’importants problèmes de santé publique… Face à ce constat, Népal āśā collabore avec Doko Recyclers, une start-up locale qui vise à améliorer la gestion et le tri des déchets et à les revaloriser.
        </p>
        </MDBCol>
        </MDBRow>
        </MDBContainer>
        </>
    );
}