import React from "react";
import { MDBContainer, MDBRow, MDBCol, MDBNavLink, MDBIcon, MDBNavItem, MDBView, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText } from "mdbreact";
import "./sections.css";
import Logo from './Perunidad.jpg';

export default function Perunidad () {
    return (
        <>
        <br/>
        <MDBContainer>
        <MDBRow>
        <MDBCol md="3">
        <MDBCard wide cascade>
          <MDBView zoom hover>
            <MDBCardImage
              hover
              overlay='white-slight'
              className='card-img-top'
              src={Logo}
              alt='Perunidad'
            />
          </MDBView>

          <MDBCardBody cascade className='text-center'>
            <MDBCardTitle className='card-title indigo-text'>
              <strong>Perunidad</strong>
            </MDBCardTitle>

            <p className='font-weight-bold blue-text'>Agriculture / Education  Environnement</p>

            <MDBCardText>
              Soutien du Développement Durable au Pérou au travers de trois projets 
              axés sur l'agriculture, l'environnement et l'éducation.{' '}
            </MDBCardText>

            <MDBCol md='12' className='d-flex justify-content-center'>
              <a href='https://www.facebook.com/Perunidad/' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='facebook-f'></MDBIcon>
              </a>

              <a href='https://perunidad.cs-campus.fr' className='px-2 fa-lg fb-ic'>
                <MDBIcon icon='globe'></MDBIcon>
              </a>

              <a href='https://fr.linkedin.com/company/perunidad' className='px-2 fa-lg li-ic'>
                <MDBIcon fab icon='linkedin-in'></MDBIcon>
              </a>
            </MDBCol>
          </MDBCardBody>
        </MDBCard>
        <br/>
        </MDBCol>
        <MDBCol md="9">
        <h2>Projet NAFE (Niños con Amor, Fey Esperanza)</h2>
        <h4>L’éducation comme vecteur de développement</h4>
        <p class = "SectionHuma">
        <br/>    
        NAFE est une fondation familiale basée à Huanchaco qui vise à apporter une éducation civique et morale aux enfants, et à leur offrir des infrastructures adéquates, pour qu'ils puissent travailler dans de meilleures conditions, recevoir un enseignement de qualité, et ainsi leur ouvrir de nouvelles perspectives. Perunidad collabore avec NAFE depuis 2014, en apportant un soutien scolaire, et en développant le centre.
        </p>
        <p class = "SectionHuma">
        <h2>Projet ENVOL VERT</h2>
        <h4>Reforestation en Amazonie et sensibilisation à l’agriculture durable</h4>
        <p class = "SectionHuma">
        <br/>
        En Amazonie, c’est 1 terrain de foot de forêt qui est rasé toutes les 7 secondes. Pour cause, l’agriculture migratoire et invasive. Elle représente environ 70% des pratiques dans la région de Pichanaki, elle est la majeure cause de déforestation, menace la biodiversité ainsi que la stabilité des revenus des producteurs. Envol Vert est une ONG d’initiative française qui agit en forêt Amazonienne, notamment à Pichanaki depuis 2016. Envol Vert favorise la restauration des écosystèmes et des équilibres écologiques tout en améliorant les conditions de vie des familles de producteurs au sein des municipalités de Pichanaki au Pérou.
        </p>
        <h2>Projet EARTH PERU</h2>
        <h4>Promouvoir le développement durable et l’accès à l’éducation</h4>
        <p class = "SectionHuma"></p>
        <br/>
        Earth Peru est une ONG péruvienne ayant pour objectif la sensibilisation et la rénovation/construction d’infrastructures dans des collèges du quartier pauvre d’Alto Trujillo. Un des objectifs de ce projet est de promouvoir le recyclage et le développement durable au sein des écoles du quartier d’Alto Trujillo avec de la sensibilisation autour des déchets et de l'installation de panneaux solaires. Ainsi, nous avons participé à la construction de l’école Mis Tresoritos, permettant à 50 enfants d’avoir des conditions d’éducations correctes dans une infrastructure sécurisée et adéquate. 
        </p>
        </MDBCol>
        </MDBRow>
        </MDBContainer>
        </>
    );
}